using System.Collections.Generic;

using BS.Shared;

namespace BeWo.Data.Entities
{
    public class Customer2Organisation : BeWoEntityBase
    {
        public static string PropertyName_Organisation = "Organisation";

        public static string PropertyName_Type = "Type";

        public static string PropertyName_Info1 = "Info1";

        public static string PropertyName_Info2 = "Info2";

        public static string PropertyName_Info3 = "Info3";

        public static string PropertyName_Info4 = "Info4";

        public static string PropertyName_Info5 = "Info5";

        public static string PropertyName_ValueList = "ValueList";

        private Organisation _Organisation;

        private IList<ValueListEntry2Object> _ValueList;

        private string _Info1;

        private string _Info2;

        private string _Info3;

        private string _Info4;

        private string _Info5;

        public Customer2Organisation()
        {
            this._Tid = TableID.Customer2Organisation;
        }

        public virtual string Info1
        {
            get
            {
                return this._Info1;
            }

            set
            {
                if (this.AreDifferent(this._Info1, value))
                {
                    this._Info1 = value;
                }
            }
        }

        public virtual string Info2
        {
            get
            {
                return this._Info2;
            }

            set
            {
                if (this.AreDifferent(this._Info2, value))
                {
                    this._Info2 = value;
                }
            }
        }

        public virtual string Info3
        {
            get
            {
                return this._Info3;
            }

            set
            {
                if (this.AreDifferent(this._Info3, value))
                {
                    this._Info3 = value;
                }
            }
        }

        public virtual string Info4
        {
            get
            {
                return this._Info4;
            }

            set
            {
                if (this.AreDifferent(this._Info4, value))
                {
                    this._Info4 = value;
                }
            }
        }

        public virtual string Info5
        {
            get
            {
                return this._Info5;
            }

            set
            {
                if (this.AreDifferent(this._Info5, value))
                {
                    this._Info5 = value;
                }
            }
        }

        public virtual Organisation Organisation
        {
            get
            {
                return this._Organisation;
            }

            set
            {
                if (this.AreDifferent(this._Organisation, value))
                {
                    this._Organisation = value;
                }
            }
        }

        public virtual IList<ValueListEntry2Object> ValueList
        {
            get
            {
                return this._ValueList ?? (this._ValueList = new List<ValueListEntry2Object>());
            }

            set
            {
                if (this.AreDifferent(this._ValueList, value))
                {
                    this._ValueList = value;
                }
            }
        }
    }
}